import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconSafari as IconSafariClass } from "../../../../components/icon/icons/safari.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconSafari = (props) => {
  IconSafariClass.define();
  const JSXElement = getReactComponent("gds-icon-safari");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconSafari.displayName = "IconSafari";
export {
  IconSafari
};
